Skip to main content

POST createDiscoveryComponent

URL: http://{{server-url}}/api/v1/cmdb/ci/{id}/discoveryComponent

Example: http://172.16.11.157/api/v1/cmdb/ci/4/discoveryComponent

Header: Authorization: Bearer/API Key

Body:

{
"type": "Keyboard",
"componentType": "keyboard_component",
"manufacturer":"hp",
"keyboardName":"test"
}

Example Request:

curl --location 'http://172.16.11.157/api/v1/cmdb/ci/4/discoveryComponent' \
--header 'Authorization: Apikey MtawICaqt6xRDUER%40cZd7nhRKPW3c0wxKTx7b530chfUr1C2JsTgFjkcJ7eQV3SteuehUbw%3D%3D' \
--header 'Content-Type: application/json' \
--data '{
"type": "Keyboard",
"componentType": "keyboard_component",
"manufacturer":"hp",
"keyboardName":"test"
}'

Example Response:

{
"type": "Keyboard",
"id": 9,
"ciId": 4,
"componentType": "keyboard_component",
"keyboardName": "test"
}